# H4509_CcRequestRes Class Reference

`#include <h4509.h>`

Inheritance diagram for H4509_CcRequestRes:

List of all members.

## Public Types

enum | OptionalFields { e_extension }

## Public Member Functions

| H4509_CcRequestRes (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

PASN_Boolean | m_retain_service
H4509_ArrayOf_MixedExtension | m_extension

## Member Enumeration Documentation

enum H4509_CcRequestRes::OptionalFields

Enumerator:

  e_extension |

## Constructor & Destructor Documentation

H4509_CcRequestRes::H4509_CcRequestRes | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H4509_CcRequestRes::GetDataLength | ( |  | ) | const

PBoolean H4509_CcRequestRes::Decode | ( | PASN_Stream & | strm | ) |

void H4509_CcRequestRes::Encode | ( | PASN_Stream & | strm | ) | const

void H4509_CcRequestRes::PrintOn | ( | ostream & | strm | ) | const

Comparison H4509_CcRequestRes::Compare | ( | const PObject & | obj | ) | const

PObject* H4509_CcRequestRes::Clone | ( |  | ) | const

## Member Data Documentation

PASN_Boolean H4509_CcRequestRes::m_retain_service

H4509_ArrayOf_MixedExtension H4509_CcRequestRes::m_extension

The documentation for this class was generated from the following file:

- h4509.h